## python-fs 2.2.1

=== Makefile ===

.PHONY: release
release:
	rm dist/*.whl dist/*.tar.gz
	python3 setup.py sdist bdist_wheel
	twine upload dist/*.whl dist/*.tar.gz

.PHONY: test
test:
	nosetests --with-coverage --cover-package=fs -a "!slow" tests

.PHONY: slowtest
slowtest:
	nosetests --with-coverage --cover-erase --cover-package=fs tests

.PHONY: testall
testall:
	tox

.PHONY: docs
docs:
	cd docs && make html
	python -c "import os, webbrowser; webbrowser.open('file://' + os.path.abspath('./docs/build/html/index.html'))"

.PHONY: typecheck
typecheck:
	mypy -p fs --config setup.cfg

=== requirements.txt ===
appdirs~=1.4.3
backports.os==0.1.1;  python_version == '2.7'
enum34==1.1.6 ; python_version < '3.4'
pytz
setuptools
six==1.10.0
typing==3.6.4 ; python_version < '3.5'

## python-fs 0.3.0

=== debian/changelog ===
python-fs (0.3.0-2) unstable; urgency=low

  * Change my e-mail address.
  * Bump standards version. 
  * Move python-wxgtk2.8 dependency to Suggests.
  * Move python-django, python-boto and python-paramiko to Recommends.
  * Switch to dh_python2.
  * Remove XS-Python-Version and XB-Python-Version.
  * Add debian/pyversions.
  * Change debian/copyright to be DEP5 compatible.

 -- Janos Guljas <janos@resenje.org>  Sat, 13 Aug 2011 12:42:42 +0200

python-fs (0.3.0-1) unstable; urgency=low

  * Initial release. (Closes: #587350)

 -- Janos Guljas <janos@janos.in.rs>  Wed, 30 Jun 2010 17:36:14 +0200

=== debian/control ===
Source: python-fs
Section: python
Priority: optional
Maintainer: Janos Guljas <janos@resenje.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.5)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/pyfilesystem/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-fs/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-fs/trunk/

Package: python-fs
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-fuse, python-xattr, python-pyinotify
Recommends: python-django, python-boto, python-paramiko
Suggests: python-pyftpdlib, python-wxgtk2.8
Provides: ${python:Provides}
Description: Python filesystem abstraction
 Pyfilesystem is a Python module that provides a common interface to many types
 of filesystem, and provides some powerful features such as exposing
 filesystems over an internet connection, or to the native filesystem.

=== debian/watch ===
version=3
http://googlecode.debian.net/p/pyfilesystem/fs-(.*).tar.gz

## python-fs 0.4.0

=== debian/changelog ===
python-fs (0.4.0-2) unstable; urgency=medium

  [ Olly Betts ]
  * Update for wxPython 3.0 (Closes: #759054):
    - New patch: wxpython3.0.patch

  [ Janos Guljas ]
  * Update my email address and copyright year.

 -- Janos Guljas <janos@debian.org>  Mon, 15 Sep 2014 20:29:58 +0200

python-fs (0.4.0-1) unstable; urgency=low

  [ Janos Guljas ]

  * New upstream release.
  * Upstream changed license from PSF to BSD.
  * New dependencies under Depends:
    - python (>= 2.6) | python-simplejson
    - python-mako
  * New dependencies under Suggests:
    - python-nose
  * Updated debian/copyright file.
  * New dependency packages:
    - python-fs-browser
    - python-fs-plugin-sftp
    - python-fs-plugin-django
    - python-fs-plugin-s3
    - python-fs-plugin-webdav
    - python-fs-plugin-tahoe-lafs
  * Added man pages for comands: fscat, fscp, fsinfo, fsls, fsmkdir, fsmount,
    fsmv, fsrm, fsserve, fstree.
  * Add DM-Upload-Allowed control field.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.

  [ Jan Dittberner ]
  * update debian/copyright
  * run wrap-and-sort (affects debian/control and debian/copyright)
  * debian/control:
    - add myself to Uploaders
    - bump Standards-Version to 3.9.5 (no changes)
    - switch to debhelper 9
  * debian/rules:
    - add --buildsystem=python_distutils to dh sequencer invocation
  * update debian/watch

 -- Jan Dittberner <jandd@debian.org>  Mon, 24 Feb 2014 15:00:56 +0100

=== debian/control ===
Source: python-fs
Section: python
Priority: optional
Maintainer: Janos Guljas <janos@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.5)
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/pyfilesystem/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-fs/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-fs/trunk/

Package: python-fs
Architecture: all
Depends: python (>= 2.6) | python-simplejson,
         python-fuse,
         python-mako,
         python-pyinotify,
         python-xattr,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-nose, python-pyftpdlib
Provides: ${python:Provides}
Description: Python filesystem abstraction
 Pyfilesystem is a Python module that provides a common interface to many types
 of filesystem, and provides some powerful features such as exposing
 filesystems over an internet connection, or to the native filesystem.

Package: python-fs-browser
Architecture: all
Depends: python-fs, python-wxgtk3.0, ${misc:Depends}
Description: Python filesystem abstraction - Gtk browser
 Pyfilesystem is a Python module that provides a common interface to many types
 of filesystem, and provides some powerful features such as exposing
 filesystems over an internet connection, or to the native filesystem.
 .
 This package is a dependency package, which depends on wxPython.

Package: python-fs-plugin-sftp
Architecture: all
Depends: python-fs, python-paramiko, ${misc:Depends}
Description: Python filesystem abstraction - SFTP access
 Pyfilesystem is a Python module that provides a common interface to many types
 of filesystem, and provides some powerful features such as exposing
 filesystems over an internet connection, or to the native filesystem.
 .
 This package is a dependency package, which depends on paramiko module.

Package: python-fs-plugin-django
Architecture: all
Depends: python-django, python-fs, ${misc:Depends}
Description: Python filesystem abstraction - Django File Storage
 Pyfilesystem is a Python module that provides a common interface to many types
 of filesystem, and provides some powerful features such as exposing
 filesystems over an internet connection, or to the native filesystem.
 .
 This package is a dependency package, which depends on Django framework.

Package: python-fs-plugin-s3
Architecture: all
Depends: python-boto, python-fs, ${misc:Depends}
Description: Python filesystem abstraction - Amazon S3
 Pyfilesystem is a Python module that provides a common interface to many types
 of filesystem, and provides some powerful features such as exposing
 filesystems over an internet connection, or to the native filesystem.
 .
 This package is a dependency package, which depends on boto module for
 accessing Amazon S3 storage.

Package: python-fs-plugin-webdav
Architecture: all
Depends: python-dexml, python-fs, ${misc:Depends}
Description: Python filesystem abstraction - WebDAV
 Pyfilesystem is a Python module that provides a common interface to many types
 of filesystem, and provides some powerful features such as exposing
 filesystems over an internet connection, or to the native filesystem.
 .
 This package is a dependency package, which depends on dexml module required
 for accessing WebDAV server.

Package: python-fs-plugin-tahoe-lafs
Architecture: all
Depends: python-fs, tahoe-lafs, ${misc:Depends}
Description: Python filesystem abstraction - Tahoe-LAFS
 Pyfilesystem is a Python module that provides a common interface to many types
 of filesystem, and provides some powerful features such as exposing
 filesystems over an internet connection, or to the native filesystem.
 .
 This package is a dependency package, which depends on tahoe-lafs required
 for accessing Tahoe Least Authority File System.

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
downloadurlmangle=s%.*/([^/]*)/downloads/detail\?name=([^=&]*).*%http://$1.googlecode.com/files/$2%,filenamemangle=s/.*name=([^&]+).*/$1/ \
http://code.google.com/p/pyfilesystem/downloads/list?can=1 .*=fs-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|zip).*

## python-fs 0.5.4

=== debian/changelog ===
python-fs (0.5.4-1) unstable; urgency=medium

  * New upstream version, tested with Django 1.9 (Closes: #755630)
  * Use pypi redirector for debian/watch file
  * Change Homepage in debian/control to new PyPI URL
  * Update Source and Copyright years in debian/copyright
  * Switch to pybuild, add dh-python to Build-Depends, add X-Python-
    Version
  * Add Build-Depends for python-setuptools and python-six
  * Disable tests because of required network access or required
    privileges
  * remove debian/python-fs.install and use PYBUILD_BEFORE_INSTALL
    instead
  * Update debian/copyright because fs/davfs is in fs/contrib/davfs now
  * Fix DEP-5 format in debian/copyright by moving BSD-3-Clause into separate
    section
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Jan Dittberner <jandd@debian.org>  Sun, 03 Jan 2016 20:22:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,16 @@
 Maintainer: Janos Guljas <janos@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
            Jan Dittberner <jandd@debian.org>
-Build-Depends: debhelper (>= 9), python-all (>= 2.5)
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/pyfilesystem/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-fs/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-fs/trunk/
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-all,
+               python-setuptools,
+               python-six
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.7
+Homepage: http://pypi.python.org/pypi/fs/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-fs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-fs.git
 
 Package: python-fs
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fs
# disable tests because most require network access or root privileges which is
# not ok for package building
export PYBUILD_DISABLE=test
export PYBUILD_BEFORE_INSTALL=if [ "{package}" != "python-fs" ]; then rm -r {build_dir}/usr/bin; fi

%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3
https://pypi.debian.net/fs/fs-([\d.]+)\.tar\.(?:gz|xz)

## python-fs 2.2.1

=== debian/changelog ===
python-fs (2.2.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add new minimum requirements for pyftpdlib packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 24 Mar 2019 13:45:53 -0700

python-fs (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * debian/copyright:
    - Update upstream copyright wording
  * debian/control:
    - Bump Standards-Version to 4.3.0
    - Remove X-Python3-Version
    - Add Testsuite: autopkgtest-pkg-python

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 09 Jan 2019 22:01:02 +0800

python-fs (2.1.2-1) unstable; urgency=medium

  [ Yao Wei (魏銘廷) ]
  * New upstream version 2.1.2
  * Package python3 version of fs (Closes: #810800, #890829)
  * debian/control:
    - Set Maintainer to Debian Python Modules Team (previously
      was Uploader) (Closes: #912656)
    - Remove Janos Guljas from Maintainer/Uploaders. Thank you for your work!
      (Closes: #849738)
    - Add myself to Uploaders
    - Update dependencies
    - Bump debhelper to 11
    - Bump Standards-Version to 4.2.1
  * debian/copyright:
    - Copyright changed from BSD-3-Clause to Expat
    - Clean copyright references

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 12 Dec 2018 10:35:34 +0800

=== debian/control ===
Source: python-fs
Section: python
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>,
           Yao Wei (魏銘廷) <mwei@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-setuptools,
               python-tz,
               python-enum34,
               python-typing,
               python-backports.os,
               python-six (>= 1.10.0),
               python-appdirs <!nocheck>,
               python-coverage <!nocheck>,
               python-pyftpdlib (>= 1.5.2) <!nocheck>,
               python-nose <!nocheck>,
               python-mock <!nocheck>,
               python3-all,
               python3-setuptools,
               python3-tz,
               python3-six (>= 1.10.0),
               python3-appdirs <!nocheck>,
               python3-coverage <!nocheck>,
               python3-pyftpdlib  (>= 1.5.2)<!nocheck>,
               python3-nose <!nocheck>,
               python3-sphinx,
Standards-Version: 4.3.0
Homepage: https://pypi.python.org/pypi/fs/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-fs.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fs
Testsuite: autopkgtest-pkg-python

Package: python-fs
Architecture: all
Depends: python-tz,
         python-six (>= 1.10.0),
         python-enum34,
         python-typing,
         python-backports.os,
         ${misc:Depends},
         ${python:Depends}
Description: Python filesystem abstraction
 Pyfilesystem is a Python module that provides a common interface to many types
 of filesystem, and provides some powerful features such as exposing
 filesystems over an internet connection, or to the native filesystem.
 .
 This is the Python 2 version of the fs package.

Package: python3-fs
Architecture: all
Depends: python3-tz,
         python3-six (>= 1.10.0),
         ${misc:Depends},
         ${python3:Depends}
Description: Python filesystem abstraction
 Pyfilesystem is a Python module that provides a common interface to many types
 of filesystem, and provides some powerful features such as exposing
 filesystems over an internet connection, or to the native filesystem.
 .
 This is the Python 3 version of the fs package.

## python-fs 2.4.8

=== debian/changelog ===
python-fs (2.4.8-1) unstable; urgency=medium

  * New upstream version 2.4.8
  * Bump Standards-Version to 4.4.0
  * debian/control: Use debhelper-compat 12
  * debian/control: Use debhelper-compat 12

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 18 Jul 2019 21:16:53 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-fs
 Section: python
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jan Dittberner <jandd@debian.org>,
            Yao Wei (魏銘廷) <mwei@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python-all,
                python-setuptools,
@@ -16,7 +15,8 @@
                python-six (>= 1.10.0),
                python-appdirs <!nocheck>,
                python-coverage <!nocheck>,
-               python-pyftpdlib (>= 1.5.2) <!nocheck>,
+               python-pyftpdlib <!nocheck>,
+               python-pyftpdlib <!nocheck>,
                python-nose <!nocheck>,
                python-mock <!nocheck>,
                python3-all,
@@ -25,10 +25,10 @@
                python3-six (>= 1.10.0),
                python3-appdirs <!nocheck>,
                python3-coverage <!nocheck>,
-               python3-pyftpdlib  (>= 1.5.2)<!nocheck>,
+               python3-pyftpdlib <!nocheck>,
                python3-nose <!nocheck>,
                python3-sphinx,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://pypi.python.org/pypi/fs/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-fs.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fs

## python-fs 2.4.11

=== debian/changelog ===
python-fs (2.4.11-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with python3.8 support.
  * debian/control: Mark build-dependency as python3-all:any.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Dec 2019 11:39:21 -0500

python-fs (2.4.11-1) unstable; urgency=medium

  * New upstream version 2.4.11
  * Do not build python2 package
  * Make test able to run
    - Disable FTPFS tests since python3-pyftpdlib does not supply test
      libraries

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 08 Sep 2019 12:08:09 +0800

=== debian/control ===
Source: python-fs
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>,
           Yao Wei (魏銘廷) <mwei@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all:any,
               python3-setuptools,
               python3-tz,
               python3-six (>= 1.10.0),
               python3-appdirs <!nocheck>,
               python3-coverage <!nocheck>,
               python3-pytest <!nocheck>,
               python3-mock <!nocheck>,
               python3-sphinx,
Standards-Version: 4.4.1
Homepage: https://pypi.python.org/pypi/fs/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-fs.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fs
Testsuite: autopkgtest-pkg-python

Package: python3-fs
Architecture: all
Depends: python3-tz,
         python3-six (>= 1.10.0),
         ${misc:Depends},
         ${python3:Depends}
Description: Python filesystem abstraction
 Pyfilesystem is a Python module that provides a common interface to many types
 of filesystem, and provides some powerful features such as exposing
 filesystems over an internet connection, or to the native filesystem.

## python-fs 2.4.12

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,19 @@
 
 .PHONY: release
-release:
-	rm dist/*.whl dist/*.tar.gz
+release: cleandist
 	python3 setup.py sdist bdist_wheel
 	twine upload dist/*.whl dist/*.tar.gz
+
+.PHONY: cleandist
+cleandist:
+	rm -f dist/*.whl dist/*.tar.gz
+
+.PHONY: cleandocs
+cleandocs:
+	$(MAKE) -C docs clean
+
+.PHONY: clean
+clean: cleandist cleandocs
 
 .PHONY: test
 test:
@@ -19,7 +29,7 @@
 
 .PHONY: docs
 docs:
-	cd docs && make html
+	$(MAKE) -C docs html
 	python -c "import os, webbrowser; webbrowser.open('file://' + os.path.abspath('./docs/build/html/index.html'))"
 
 .PHONY: typecheck

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyFilesystem2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyFilesystem2.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyFilesystem2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyFilesystem2"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-fs (2.4.12-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Yao Wei (魏銘廷) ]
  * New upstream version 2.4.12
  * debian/patches: Remove upstreamed patches.
  * debian/control:
    - Use debhelper 13
    - Add ${sphinxdoc:Depends}
  * debian/copyright: Update copyright information

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 18 Jan 2021 20:40:25 +0800

python-fs (2.4.11-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Hudson-Doyle ]
  * d/patches/0001-Do-not-test-the-patched-copy-implementation-with-Pyt.patch:
    Backport fix from upstream to fix tests with Python 3.9.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 11 Nov 2020 15:20:39 +1300

=== debian/control ===
Source: python-fs
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>,
           Yao Wei (魏銘廷) <mwei@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all:any,
               python3-setuptools,
               python3-tz,
               python3-six (>= 1.10.0),
               python3-appdirs <!nocheck>,
               python3-coverage <!nocheck>,
               python3-pytest <!nocheck>,
               python3-mock <!nocheck>,
               python3-sphinx,
Standards-Version: 4.5.0
Homepage: https://pypi.python.org/pypi/fs/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-fs.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fs
Testsuite: autopkgtest-pkg-python

Package: python3-fs
Architecture: all
Depends: python3-tz,
         python3-six (>= 1.10.0),
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Description: Python filesystem abstraction
 Pyfilesystem is a Python module that provides a common interface to many types
 of filesystem, and provides some powerful features such as exposing
 filesystems over an internet connection, or to the native filesystem.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	# skip tests that is not runnable with python3-pyftpdlib due to missing
	# test moudles
	dh_auto_test -- --test-pytest --test-args="--ignore tests/test_ftpfs.py"

=== debian/watch ===
version=4
https://github.com/PyFilesystem/pyfilesystem2/releases \
	.*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## python-fs 2.4.16

=== tests/requirements.txt ===
# the bare requirements for running tests

# pyftpdlib is needed to spawn a FTP server for the
# FTPFS test suite
pyftpdlib ~=1.5

# these are optional dependencies for pyftpdlib that
# are not explicitly listed, we need to install these
# ourselves
psutil ~=5.0
pysendfile ~=2.0 ; python_version <= "3.3"

# mock is only available from Python 3.3 onward, and 
# mock v4+ doesn't support Python 2.7 anymore
mock ~=3.0 ; python_version < "3.3"

# parametrized to prevent code duplication in tests.
parameterized ~=0.8

=== debian/changelog ===
python-fs (2.4.16-9) unstable; urgency=medium

  * Team upload

  [ Arnaud Rebillout ]
  * Rework the patch to remove pkg_resources
  * Remove six from fs/test.py

 -- Sophie Brun <sophie@kali.org>  Thu, 13 Nov 2025 17:57:57 +0100

python-fs (2.4.16-8) unstable; urgency=medium

  * Round-trip patches through gbp-pq.
  * Loosen dependency on python3-platformdirs.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 07 Sep 2025 18:57:56 +0200

python-fs (2.4.16-7) unstable; urgency=medium

  * Team upload.
  * Removed dependency on pytz (2.4.15 did this removal)
  * Update homepage URL to point to GitHub project

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 05 Mar 2025 14:49:29 +0100

python-fs (2.4.16-6) unstable; urgency=medium

  * Team upload.
  * Patch-out optional usage of pkg_resources (Closes: #1083640)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 15 Jan 2025 19:45:57 +0100

python-fs (2.4.16-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace python3-appdirs with python3-platformdirs.
    (Closes: #1067994, #1067051)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Dec 2024 23:47:47 +0100

python-fs (2.4.16-5) unstable; urgency=medium

  * Team upload.
  * Set Rules-Requires-Root: no
  * Remove runtime dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Dec 2024 17:40:57 +0100

python-fs (2.4.16-4) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * remove build-dep python3-mock: import is hybridized.
  * use new dh-sequence-python3.

  [ Boyuan Yang ]
  * debian/watch: Fix monitoring script.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Apr 2024 23:15:47 -0400

python-fs (2.4.16-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/f6f260f97df29500a531baf1b370c3e4e4f3dc76.patch:
    Add proposed patch to fix FTBFS with python3.12. (Closes: #1058294)

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Jan 2024 15:37:49 -0500

python-fs (2.4.16-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 03:41:13 +0100

python-fs (2.4.16-1) unstable; urgency=medium

  [ Yao Wei (魏銘廷) ]
  * debian/watch: Change GitHub archive URL
  * New upstream version 2.4.16
  * debian/control:
    - Update standards version to 4.6.1, no changes needed
    - Update dependencies
    - Add Build-Depends: python3-parameterized for running tests

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 09 Jul 2022 17:28:18 +0800

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/PyFilesystem/pyfilesystem2/tags?per_page=100 \
 https://api.github.com/repos/PyFilesystem/pyfilesystem2/tarball/refs/tags/@ANY_VERSION@
